Package: org.apache.groovy.dateutil

## [Java] Class DatumDependentDuration

- org.apache.groovy.dateutil.DatumDependentDuration

-     public class DatumDependentDuration
      extends BaseDuration

  A duration that includes years and/or months, whose exact length depends on the datum.

  DEQUIRKED: `toMilliseconds()` is now deterministic (see BaseDuration); it no longer resolves against "now". `getAgo()`/`getFrom()` are inherited and no longer zero the time-of-day.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `public DatumDependentDuration` | `minus(Duration rhs)`
    `` | `public DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
    `` | `public DatumDependentDuration` | `plus(TimeDatumDependentDuration rhs)`
    `` | `public DatumDependentDuration` | `plus(Duration rhs)`
    `` | `public DatumDependentDuration` | `plus(TimeDuration rhs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

- - ### Constructor Detail

    - #### public DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### public DatumDependentDuration minus(Duration rhs)

    - #### public DatumDependentDuration plus(DatumDependentDuration rhs)

    - #### public DatumDependentDuration plus(TimeDatumDependentDuration rhs)

    - #### public DatumDependentDuration plus(Duration rhs)

    - #### public DatumDependentDuration plus(TimeDuration rhs)